"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useFormKitSection = useFormKitSection;
var _uuid = require("uuid");
var _vue = require("vue");
function useFormKitSection(context) {
  const hasPrefix = (0, _vue.computed)(() => {
    return context?.prefix && context?.prefix.length > 0;
  });
  const hasPrefixIcon = (0, _vue.computed)(() => {
    return context?.iconPrefix && context?.iconPrefix.length > 0;
  });
  const hasSuffixIcon = (0, _vue.computed)(() => {
    return context?.iconSuffix && context?.iconSuffix.length > 0;
  });
  const hasSuffix = (0, _vue.computed)(() => {
    return context?.suffix && context?.suffix.length > 0;
  });
  function generateId() {
    return (0, _uuid.v4)();
  }
  return {
    generateId,
    hasPrefix,
    hasPrefixIcon,
    hasSuffix,
    hasSuffixIcon
  };
}